Debian Bug report logs - #379725
problem upgrading hyperestraier, (upgrade fails)

version graph

Package: hyperestraier; Maintainer for hyperestraier is KURASHIKI Satoru <lurdan@gmail.com>; Source for hyperestraier is src:hyperestraier.

Reported by: ralph.amissah@gmail.com

Date: Tue, 25 Jul 2006 09:03:50 UTC

Severity: normal

Found in version hyperestraier/1.3.3-1

Done: Fumitoshi UKAI <ukai@debian.or.jp>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to ralph.amissah@gmail.com:
New Bug report received and forwarded. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ralph.amissah@gmail.com
To: submit@bugs.debian.org
Subject: problem upgrading hyperestraier, (upgrade fails)
Date: Tue, 25 Jul 2006 09:44:43 +0100
Package: hyperestraier
Version: 1.3.3-1
Severity: important

Fails to upgrade with error message:

"Errors were encountered while processing:
 /var/cache/apt/archives/hyperestraier_1.3.3-1_i386.deb
localepurge: Disk space freed in /usr/share/locale: 2160K
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.
Trying to recover:
..."

A similar problem existed with upgrading to 1.2.5-1, and it persisted.
I have kept the package on hold and not retried the upgrade.



Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #10 received at 379725@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: ralph.amissah@gmail.com, 379725@bugs.debian.org, 379725-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-bugs@zugschlus.de>
Subject: Re: Bug#379725: problem upgrading hyperestraier, (upgrade fails)
Date: Wed, 26 Jul 2006 07:45:30 +0200
On Tue, Jul 25, 2006 at 09:44:43AM +0100, ralph.amissah@gmail.com wrote:
> Fails to upgrade with error message:
> 
> "Errors were encountered while processing:
>  /var/cache/apt/archives/hyperestraier_1.3.3-1_i386.deb
> localepurge: Disk space freed in /usr/share/locale: 2160K
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.
> Trying to recover:
> ..."

The prerm script fails if the daemon is not running, and thus the
upgrade fails. Workaround: set NO_START to 0 in
/etc/default/hyperestraier, start daemon, update, stop daemon, set
NO_START to 1.

This is a bad bug, please fix it asap.

Additionally, having something like NO_START in
/etc/default/hyperestraier is highly redundant. Use update-rc.d to
have the daemon started or not started in the appropriate run levels
instead.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Fumitoshi UKAI <ukai@debian.or.jp>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 379725@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: ralph.amissah@gmail.com, 379725@bugs.debian.org
Subject: Re: Bug#379725: problem upgrading hyperestraier, (upgrade fails)
Date: Wed, 26 Jul 2006 14:50:49 +0900
tags 379725 moreinfo
thanks

At Tue, 25 Jul 2006 09:44:43 +0100,
ralph.amissah@gmail.com wrote:

> Fails to upgrade with error message:
> 
> "Errors were encountered while processing:
>  /var/cache/apt/archives/hyperestraier_1.3.3-1_i386.deb
> localepurge: Disk space freed in /usr/share/locale: 2160K
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.
> Trying to recover:
> ..."

This is not error message in upgrading.  
Could you show me error message while processing hyperestraier maintainer 
scripts?

Regards,
Fumitoshi UKAI



Message sent on to ralph.amissah@gmail.com:
Bug#379725. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #23 received at 379725@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 379725@bugs.debian.org
Cc: ralph.amissah@gmail.com
Subject: Re: Bug#379725: problem upgrading hyperestraier, (upgrade fails)
Date: Thu, 03 Aug 2006 03:16:59 +0900 (JST)
[Message part 1 (text/plain, inline)]
On July 26, 2006 at 2:50PM +0900,
ukai (at debian.or.jp) wrote:

> tags 379725 moreinfo
> thanks
>
> At Tue, 25 Jul 2006 09:44:43 +0100,
> ralph.amissah@gmail.com wrote:
>
> > Fails to upgrade with error message:
> >
> > "Errors were encountered while processing:
> >  /var/cache/apt/archives/hyperestraier_1.3.3-1_i386.deb
> > localepurge: Disk space freed in /usr/share/locale: 2160K
> > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > A package failed to install.
> > Trying to recover:
> > ..."
>
> This is not error message in upgrading.
> Could you show me error message while processing hyperestraier maintainer
> scripts?

I've encountered a similar problem when upgrading to 1.3.5-1
as follows:

----
# apt-get install hyperestraier
Reading package lists... Done
Building dependency tree... Done
The following NEW packages will be installed:
  hyperestraier
0 upgraded, 1 newly installed, 0 to remove and 898 not upgraded.
Need to get 0B/420kB of archives.
After unpacking 1511kB of additional disk space will be used.
Selecting previously deselected package hyperestraier.
(Reading database ... 191890 files and directories currently installed.)
Unpacking hyperestraier (from .../hyperestraier_1.3.5-1_i386.deb) ...
Setting up hyperestraier (1.3.5-1) ...
Creating initial node database in /var/lib/hyperestraier/estmaster...estmaster: symbol lookup error: estmaster: undefined symbol: est_proc_env_reset
dpkg: error processing hyperestraier (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 hyperestraier
E: Sub-process /usr/bin/dpkg returned an error code (1)
----

To prevent the error `estmaster: undefined symbol: est_proc_env_reset',
I installed `libestraier8'.  I guess `hyperestraier' should depend on
`libestraier8'.

----
# apt-get install hyperestraier libestraier8
Reading package lists... Done
Building dependency tree... Done
hyperestraier is already the newest version.
The following packages will be upgraded:
  libestraier8
1 upgraded, 0 newly installed, 0 to remove and 897 not upgraded.
1 not fully installed or removed.
Need to get 112kB of archives.
After unpacking 65.5kB of additional disk space will be used.
Get:1 http://ftp.us.debian.org sid/main libestraier8 1.3.5-1 [112kB]
Fetched 112kB in 7s (14.4kB/s)
(Reading database ... 191958 files and directories currently installed.)
Preparing to replace libestraier8 1.2.5-1 (using .../libestraier8_1.3.5-1_i386.deb) ...
Unpacking replacement libestraier8 ...
Setting up libestraier8 (1.3.5-1) ...

Setting up hyperestraier (1.3.5-1) ...
Creating initial node database in /var/lib/hyperestraier/estmaster...done.
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.
#
----

--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #28 received at 379725@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 379725@bugs.debian.org
Cc: ralph.amissah@gmail.com
Subject: Re: Bug#379725: problem upgrading hyperestraier, (upgrade fails)
Date: Thu, 03 Aug 2006 03:42:22 +0900 (JST)
[Message part 1 (text/plain, inline)]
On August 3, 2006 at 3:16AM +0900,
tats (at vega.ocn.ne.jp) wrote:

> To prevent the error `estmaster: undefined symbol: est_proc_env_reset',
> I installed `libestraier8'.  I guess `hyperestraier' should depend on
> `libestraier8'.

Hmm, `hyperestraier' already depend on `libestraier8'.  The problem
might be a temporary problem of apt.  I couldn't reproduce the problem...

----
# apt-get --purge remove hyperestraier libestraier8
Reading package lists... Done
Building dependency tree... Done
The following packages will be REMOVED:
  hyperestraier* libestraier8*
0 upgraded, 0 newly installed, 2 to remove and 897 not upgraded.
Need to get 0B of archives.
After unpacking 1798kB disk space will be freed.
Do you want to continue [Y/n]?
(Reading database ... 191956 files and directories currently installed.)
Removing hyperestraier ...
Purging configuration files for hyperestraier ...
Removing libestraier8 ...
Purging configuration files for libestraier8 ...
# apt-get install hyperestraier
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
  libestraier8
The following NEW packages will be installed:
  hyperestraier libestraier8
0 upgraded, 2 newly installed, 0 to remove and 897 not upgraded.
Need to get 0B/533kB of archives.
After unpacking 1798kB of additional disk space will be used.
Do you want to continue [Y/n]?
Selecting previously deselected package libestraier8.
(Reading database ... 191884 files and directories currently installed.)
Unpacking libestraier8 (from .../libestraier8_1.3.5-1_i386.deb) ...
Selecting previously deselected package hyperestraier.
Unpacking hyperestraier (from .../hyperestraier_1.3.5-1_i386.deb) ...
Setting up libestraier8 (1.3.5-1) ...

Setting up hyperestraier (1.3.5-1) ...
Creating initial node database in /var/lib/hyperestraier/estmaster...done.
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.

#
----

--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #33 received at 379725@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 379725@bugs.debian.org
Subject: upgrade failure log
Date: Wed, 2 Aug 2006 15:28:30 -0400
[Message part 1 (text/plain, inline)]
The upgrade failure I just saw:

Preparing to replace libestraier8 1.3.3-1 (using .../libestraier8_1.3.5-1_i386.deb) ...
Unpacking replacement libestraier8 ...
Preparing to replace hyperestraier 1.2.5-1 (using .../hyperestraier_1.3.5-1_i386.deb) ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Stopping hyperestraier: estmaster: not running
invoke-rc.d: initscript hyperestraier, action "stop" failed.
dpkg: error processing /var/cache/apt/archives/hyperestraier_1.3.5-1_i386.deb (--unpack):
 subprocess new pre-removal script returned error exit status 1
Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #38 received at 379725@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 379725@bugs.debian.org
Subject: Re: Bug#379725: problem upgrading hyperestraier, (upgrade fails)
Date: Thu, 03 Aug 2006 22:50:07 +0900 (JST)
[Message part 1 (text/plain, inline)]
On August 3, 2006 at 3:16AM +0900,
tats (at vega.ocn.ne.jp) wrote:

> # apt-get install hyperestraier

> The following NEW packages will be installed:
>   hyperestraier
> 0 upgraded, 1 newly installed, 0 to remove and 898 not upgraded.

> Setting up hyperestraier (1.3.5-1) ...
> Creating initial node database in /var/lib/hyperestraier/estmaster...estmaster: symbol lookup error: estmaster: undefined symbol: est_proc_env_reset

> # apt-get install hyperestraier libestraier8

> hyperestraier is already the newest version.
> The following packages will be upgraded:
>   libestraier8
> 1 upgraded, 0 newly installed, 0 to remove and 897 not upgraded.

Ah, I've understood my problem.  `hyperestraier' depend on
`libestraier8' without version.  So, `apt-get install hyperestraier'
doesn't install new version of `libestraier8'.  `apt-get dist-upgrade'
or `apt-get upgrade' don't cause this problem.

--
Tatsuya Kinoshita
[Message part 2 (application/pgp-signature, inline)]

Severity set to `serious' from `important' Request was from Per Olofsson <pelle@dsv.su.se> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#379725; Package hyperestraier. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #45 received at 379725@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: control@bugs.debian.org, 379725@bugs.debian.org
Subject: Isn't this fixed?
Date: Sat, 16 Sep 2006 13:47:02 +0200
severity 379725 normal
thanks

From reading the changelog entry I would say this bug was fixed in
1.3.6-1. Therefore I downgrade it to normal but leave it to the
maintainer to close it if it really was forgotten. In case I missed
something feel free to upgrade again.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Severity set to `normal' from `serious' Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Fumitoshi UKAI <ukai@debian.or.jp>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ralph.amissah@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 379725-done@bugs.debian.org (full text, mbox):

From: Fumitoshi UKAI <ukai@debian.or.jp>
To: 379725-done@bugs.debian.org
Subject: Re: Bug#379725: Isn't this fixed?
Date: Thu, 21 Sep 2006 00:58:09 +0900
> >From reading the changelog entry I would say this bug was fixed in
> 1.3.6-1. Therefore I downgrade it to normal but leave it to the
> maintainer to close it if it really was forgotten. In case I missed
> something feel free to upgrade again.

Recent package of hyperestraier adds version dependency in 
libestraier8, so I think this bug has been fixed.

Regards,
Fumitoshi UKAI



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:13:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:20:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.